> For the complete documentation index, see [llms.txt](https://docs.codesign.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.codesign.pro/paid-scripts/garage/developer-api/items.md).

# Items

{% content-ref url="/pages/Bapz9eW1Vxyw93RKBs47" %}
[Chat Commands](/paid-scripts/garage/developer-api/chat-commands.md)
{% endcontent-ref %}

{% content-ref url="/pages/SRD6x0OIbObKJAqG2TUv" %}
[Events](/paid-scripts/garage/developer-api/events.md)
{% endcontent-ref %}

{% content-ref url="/pages/GnJ9vb2iXbN34tJRRPjd" %}
[Exports](/paid-scripts/garage/developer-api/exports.md)
{% endcontent-ref %}

{% content-ref url="/pages/GviHE3d65AIz0xNMr71i" %}
[Keys](/paid-scripts/garage/developer-api/keys.md)
{% endcontent-ref %}

{% content-ref url="/pages/B2ugme35GmT34Z2ukTZz" %}
[Items](/paid-scripts/garage/developer-api/items.md)
{% endcontent-ref %}

***

{% hint style="info" %}

#### **Note**

These are the items supported by cd\_garage. You can add, rename, or modify them in `[configs/config.lua]`.
{% endhint %}

***

### **Lockpick**

Used to attempt unlocking a locked vehicle. Players can trigger the lockpicking process when near a locked car.

```bash
lockpick
```

{% tabs %}
{% tab title="ESX" %}
{% code title="Run this SQL query in your database." overflow="wrap" fullWidth="false" %}

```sql
INSERT INTO `items` (`name`, `label`, `weight`, `rare`, `can_remove`) VALUES ('lockpick', 'Lockpick', 1, 0, 1);
```

{% endcode %}

{% endtab %}

{% tab title="QBCore" %}
{% code title="Add this line to \[qb-core/shared/items.lua]." overflow="wrap" fullWidth="false" %}

```lua
['lockpick'] 				 = {['name'] = 'lockpick', 			  	  	['label'] = 'Lockpick', 			['weight'] = 500, 		['type'] = 'item', 		['image'] = 'lockpick.png', 			['unique'] = false, 	['useable'] = true, 	['shouldClose'] = true,	['combinable'] = nil,   ['description'] = 'Lockpick the closest vehicle'}lua
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="success" %}

#### **Note**

The lockpick item can be integrated with custom minigames or security systems depending on your framework (ESX, QBCore, etc.).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codesign.pro/paid-scripts/garage/developer-api/items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
